geos::noding::MCIndexSegmentSetMutualIntersector Class Reference

Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex. More...

`#include <MCIndexSegmentSetMutualIntersector.h>`

Inheritance diagram for geos::noding::MCIndexSegmentSetMutualIntersector:

## Public Member Functions

| MCIndexSegmentSetMutualIntersector (double p_tolerance)
| MCIndexSegmentSetMutualIntersector (const geom::Envelope *p_envelope)
index::SpatialIndex * | getIndex ()
void | setBaseSegments (SegmentString::ConstVect *segStrings) override
void | process (SegmentString::ConstVect *segStrings) override
| MCIndexSegmentSetMutualIntersector (const MCIndexSegmentSetMutualIntersector &)=delete
MCIndexSegmentSetMutualIntersector & | operator= (const MCIndexSegmentSetMutualIntersector &)=delete
Public Member Functions inherited from geos::noding::SegmentSetMutualIntersector
void | setSegmentIntersector (SegmentIntersector *si)

## Additional Inherited Members

Protected Attributes inherited from geos::noding::SegmentSetMutualIntersector
SegmentIntersector * | segInt

## Detailed Description

Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex.

Version
  1.7

## Constructor & Destructor Documentation

## MCIndexSegmentSetMutualIntersector()

geos::noding::MCIndexSegmentSetMutualIntersector::MCIndexSegmentSetMutualIntersector | ( | const MCIndexSegmentSetMutualIntersector & |  | ) |

delete

Disable copy construction and assignment. Apparently needed to make this class compile under MSVC. (See https://stackoverflow.com/q/29565299)

## Member Function Documentation

## process()

void geos::noding::MCIndexSegmentSetMutualIntersector::process | ( | SegmentString::ConstVect * | segStrings | ) |

override virtual

Computes the intersections for two collections of SegmentStrings.

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::SegmentSetMutualIntersector.

## setBaseSegments()

void geos::noding::MCIndexSegmentSetMutualIntersector::setBaseSegments | ( | SegmentString::ConstVect * | segStrings | ) |

override virtual

Parameters

  segStrings | a collection of SegmentStrings to node

Implements geos::noding::SegmentSetMutualIntersector.

The documentation for this class was generated from the following file:

- MCIndexSegmentSetMutualIntersector.h